%{?nodejs_find_provides_and_requires}

%global packagename ava-init

# tests disabled to bootstrap npm(ava)
%global enable_tests 0

Name:		nodejs-ava-init
Version:	0.2.1
Release:	3%{?dist}
Summary:	Add AVA to your project

License:	MIT
URL:		https://github.com/sindresorhus/ava-init
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# the test.js file was not in the npm tarball
Source1:	https://raw.githubusercontent.com/sindresorhus/ava-init/v%{version}/test.js


BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
BuildRequires:	npm(arr-exclude)
BuildRequires:	npm(execa)
BuildRequires:	npm(has-yarn)
BuildRequires:	npm(read-pkg-up)
BuildRequires:	npm(write-pkg)
%if 0%{?enable_tests}
BuildRequires:	npm(ava)
%endif

%description
Add AVA to your project


%prep
%setup -q -n package
# setup the tests
cp -p %{SOURCE1} .

# allow newer version of npm(execa)
%nodejs_fixdep execa

# allow newer version of npm(write-pkg)
%nodejs_fixdep write-pkg


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/ava
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license license
%{nodejs_sitelib}/%{packagename}



%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Sep 20 2017 Jared Smith <jsmith@fedoraproject.org> - 0.2.1-1
- Update to upstream 0.2.1 release

* Wed Apr 19 2017 Jared Smith <jsmith@fedoraproject.org> - 0.2.0-1
- Update to upstream 0.2.0 release

* Wed Dec 16 2015 Jared Smith <jsmith@fedoraproject.org> - 0.1.3-1
- Initial packaging with tests disabled to boostrap npm(ava)
